Subject: bug#44112: SBCL is not reproducible

From: Simon Tournier <[email-masked]>
Date: Mon, 16 Jun 2025 13:11:08 +0200

Hi Guillaume,

On Sat, 23 Jan 2021 at 10:19, Guillaume Le Vaillant <[email-masked]> wrote:

> So far Slime still uses the function getting the source file timestamp,
> so these timestamps can't be removed from SBCL.
> A patch for Slime would be accepted (see [2]), but as far as I know
> nobody has worked on it yet.
>
> [2] https://github.com/slime/slime/issues/583

This is now closed.  Well, using Guix b17268b, I get:

--8<---------------cut here---------------start------------->8---
$ diff -r --no-dereference /gnu/store/nfklpxiwjp36rpsfgr4jkr62cwb64ylw-sbcl-2.5.2-doc{,-check}
Binary files /gnu/store/nfklpxiwjp36rpsfgr4jkr62cwb64ylw-sbcl-2.5.2-doc/share/doc/sbcl/sbcl.pdf and /gnu/store/nfklpxiwjp36rpsfgr4jkr62cwb64ylw-sbcl-2.5.2-doc-check/share/doc/sbcl/sbcl.pdf differ
--8<---------------cut here---------------end--------------->8---

So the package ’sbcl’ is not fully reproducible yet.  However, the
initial report seems fixed.  Therefore, I propose to close.  And we can
open another issue if or when we will be annoyed by the unreproducible
PDF.  WDYT?

Cheers,
simon